<?php

$TPlayers=$Dealer->getTotalPlayers();
if ($TPlayers == 0){
	Wise_msg($Chan->getName(), 'There are no players registered.  Use !bj join to register for the next game.');
	return;
}

if ($Dealer->getStage() == BJ_END){
	Wise_msg($Chan->getName(), 'Last call for the next game of blackjack.  Game begins in one minute.');
	Wise_timmer(':'.$_Bot->getNick().'!Wiser@Wiser PRIVMSG '.$Chan->getName().' :!bj play', time()+60);
	$Dealer->setStage(BJ_LAST_CALL);
	return;
}
if ($Dealer->getStage() == BJ_LAST_CALL && $_User->getNick() != $_Bot->getNick()){
	Wise_msg($Chan->getName(), 'Last call has been given, please wait for a bit.');
	return;
}
if ($Dealer->isPlaying()){
	Wise_msg($Chan->getName(), 'There is a game already active.  Wait for the next.');
	return;
}



Wise_Msg($Chan->getName(), 'Game begins, Dealing cards...');
for ($i=0; $i<$TPlayers; $i++){
	$Player=$Dealer->getPlayer($i);
	if (!is_object($Player)){
		Wise_msg($Chan->getName(), 'An error occured in the player lineup.  Aborting.');
		return;
	}
	$Player->clearCards();
	$card=$Dealer->draw();
	$Player->give($card);
	Wise_Notice($Player->getNick(), 'Your hidden card: '.Deck::getCardText($card));
	savePlayerData($Player, $Chan->getName());
}
//Get the dealer's hidden card.
$Dealer->clearCards();
$Dealer->give($Dealer->draw());

$visible='';
for ($i=0; $i<$TPlayers; $i++){
	$Player=$Dealer->getPlayer($i);
	$card=$Dealer->draw();
	$Player->give($card);
	$visible.=$Player->getNick().'='.Deck::getCardText($card).'  ';
	savePlayerData($Player, $Chan->getName());
}
//Get the dealers visible card.
$card=$Dealer->draw();
$Dealer->give($card);
$visible.='dealer='.Deck::getCardText($card);

Wise_msg($Chan->getName(), 'Visible Cards: '.$visible);
$Dealer->setCurrentPlayer(0);
$Dealer->setStage(BJ_BETTING_R1);
include('./bj_bet.php');
?>
