<?php
if (!$Dealer->isPlaying()){
	Wise_msg($Chan->getName(), 'There is currently no active game.');
	return;
}

if ($Dealer->getStage() != BJ_BETTING_R1 && $Dealer->getStage() != BJ_BETTING_R2){
	$cp=$Dealer->getPlayer($Dealer->getCurrentPlayer());
	if ($_User->getNick() == $cp->getNick()){
		Wise_msg($Chan->getName(), $cp->getNick().': It\'s not time to bet.');
	}
	return;
}

$B=$_Bot->getInfo('bold');
if ($cmd != 'bet'){
	$Player=$Dealer->getPlayer($Dealer->getCurrentPlayer());
	Wise_msg($Chan->getName(), 'It\'s '.$Player->getNick().'\'s bet.');
	Wise_notice($Player->getNick(), 'To place a bet type !bj bet <amount>.  You have $'.$B.($Player->getMoney()-$Player->getBet()).$B);
	Wise_notice($Player->getNick(), 'Your hand: '.$Player->getHandText());

	//Set the timeout on betting.
	set_timeout($Player, $Chan, false);
}
else {
	$CP=$Dealer->getPlayer($Dealer->getCurrentPlayer());
	if ($CP->getNick() != $Player->getNick()){
		return;
	}
	$Amount=trim(substr($Msg, 3));
	if ($Amount{0}=='$'){
		$Amount=trim(substr($Amount.' ', 1));
	}
	if ($Amount==='' || preg_match('/[^\d.]/', $Amount)){
		Wise_msg($Chan->getName(), 'Usage: !bj bet <amount>');
	}
	else {
		$Amount=intval($Amount);
		$PlayerMoney=$Player->getMoney()-$Player->getBet();
		if ($Amount > $PlayerMoney){
			Wise_Msg($Chan->getName(), 'You cannot bet that much.  You only have $'.$B.$PlayerMoney.$B);
		}
		else if ($Amount < 5 && $PlayerMoney >= 5){
			Wise_msg($Chan->getName(), 'Minimum bid is $5');
		}
		else if ($Dealer->getStage()==BJ_BETTING_R1 && $Amount > 5000){
			Wise_msg($Chan->getName(), 'Maximum bet of $5000 on the first round.');
		}
		else if ($Dealer->getStage()==BJ_BETTING_R2 && $Amount > 500){
			Wise_msg($Chan->getName(), 'Maximum bet of $500 on the second round.');
		}
		else {
			$Player->placeBet($Amount);
			savePlayerData($Player, $Chan->getName());
			Wise_msg($Chan->getName(), $Player->getNick().' bids $'.$Amount.'.  Total bet: $'.$Player->getBet());
			set_timeout($Player, $Chan, true);
			if (!$Dealer->nextPlayer()){
				if ($Dealer->getStage()==BJ_BETTING_R2){
					include('./bj_results.php');
				}
				else {
					$Dealer->setStage(BJ_HIT_STAND);
					include('./bj_hit_stand.php');
				}
			}
			else {
				$Player=$Dealer->getPlayer($Dealer->getCurrentPlayer());
				Wise_msg($Chan->getName(), 'It\'s '.$Player->getNick().'\'s bet.');
				Wise_notice($Player->getNick(), 'To place a bet type !bj bet <amount>.  You have $'.$B.($Player->getMoney()-$Player->getBet()).$B);
				Wise_notice($Player->getNick(), 'Your hand: '.$Player->getHandText());
				set_timeout($Player, $Chan, false);
			}
		}
	}
}
?>
