<?php
if (!$Dealer->isPlaying()){
	Wise_msg($Chan->getName(), 'There is currently no active game.');
	return;
}
if ($Dealer->getStage() != BJ_HIT_STAND){
	$cp=$Dealer->getPlayer($Dealer->getCurrentPlayer());
	if ($_User->getNick() == $cp->getNick()){
		Wise_msg($Chan->getName(), $cp->getNick().': It\'s not time to hit or stand.');
	}
	return;
}

if ($cmd != 'hit' && $cmd != 'stand' && $cmd != 'stay'){
	$Player=$Dealer->getPlayer($Dealer->getCurrentPlayer());
	Wise_msg($Chan->getName(), $Player->getNick().': Hit or stand?');
	Wise_notice($Player->getNick(), 'To stand type: !bj stand.   To hit type: !bj hit');
	Wise_notice($Player->getNick(), 'Your hand: '.$Player->getHandText());
	set_timeout($Player, $Chan, false);
}
else {
	$CP=$Dealer->getPlayer($Dealer->getCurrentPlayer());
	if ($CP->getNick() != $Player->getNick()){
		Wise_msg($Chan->getName(), $Player->getNick().': It\'s not your turn.');
		return;
	}
	if ($cmd == 'hit'){
		$card=$Dealer->draw();
		$Player->give($card);
		savePlayerData($Player, $Chan->getName());
		Wise_msg($Chan->getName(), $Player->getNick().' gets a '.Deck::getCardText($card));
		set_timeout($Player, $Chan, true);
		if ($Player->getHandTotal() > 21){
			Wise_msg($Chan->getName(), $Player->getNick().' busts!');
			$Dealer->playerBusted($Player->getNick());
			if (!$Dealer->nextPlayer()){
				//Dealer hit's or stands?
				$DealerHits=array();
				while (true){
					$DH=$Dealer->getHandTotal();
					if ($DH >= 16){
						break;
					}
					else {
						$card=$Dealer->draw();
						$Dealer->give($card);
						$DealerHits[]=$card;
					}
				}
				$cards='';
				for ($i=0; $i<count($DealerHits); $i++){
					$cards.=Deck::getCardText($DealerHits[$i]).'  ';
				}
				Wise_msg($Chan->getName(), 'Dealer '.count($DealerHits).' times: '.$cards);
				if ($Dealer->getHandTotal() > 21){
					Wise_msg($Chan->getName(), 'Dealer Busts!');
					include('./bj_results.php');
				}
				else if ($Dealer->allBust()){
					include('./bj_results.php');
				}
				else {
					$Dealer->setStage(BJ_BETTING_R2);
					include('./bj_bet.php');
				}
			}
			else {
				$Player=$Dealer->getPlayer($Dealer->getCurrentPlayer());
				Wise_msg($Chan->getName(), $Player->getNick().': Hit or stand?');
				Wise_notice($Player->getNick(), 'To stand type: !bj stand.   To hit type: !bj hit');
				Wise_notice($Player->getNick(), 'Your hand: '.$Player->getHandText());
				set_timeout($Player, $Chan, false);
			}
		}
		else {
			Wise_msg($Chan->getName(), $Player->getNick().': Hit or stand?');
			Wise_notice($Player->getNick(), 'To stand type: !bj stand.   To hit type: !bj hit');
			Wise_notice($Player->getNick(), 'Your hand: '.$Player->getHandText());
			set_timeout($Player, $Chan, false);
		}
	}
	if ($cmd == 'stand' || $cmd == 'stay'){
		set_timeout($Player, $Chan, true);
		savePlayerData($Player, $Chan->getName());
		if (!$Dealer->nextPlayer()){
			$DealerHits=array();
			while (true){
				$DH=$Dealer->getHandTotal();
				if ($DH >= 16){
					break;
				}
				else {
					$card=$Dealer->draw();
					$Dealer->give($card);
					$DealerHits[]=$card;
				}
			}
			$cards='';
			for ($i=0; $i<count($DealerHits); $i++){
				$cards.=Deck::getCardText($DealerHits[$i]).'  ';
			}
			Wise_msg($Chan->getName(), 'Dealer hit '.count($DealerHits).' times: '.$cards);
			if ($Dealer->getHandTotal() > 21){
				Wise_msg($Chan->getName(), 'Dealer Busts!');
				include('./bj_results.php');
			}
			else if ($Dealer->allBust()){
				include('./bj_results.php');
			}
			else {
				$Dealer->setStage(BJ_BETTING_R2);
				include('./bj_bet.php');
			}
		}
		else {
			$Player=$Dealer->getPlayer($Dealer->getCurrentPlayer());
			Wise_msg($Chan->getName(), $Player->getNick().': Hit or stand?');
			Wise_notice($Player->getNick(), 'To stand type: !bj stand.   To hit type: !bj hit');
			Wise_notice($Player->getNick(), 'Your hand: '.$Player->getHandText());
			set_timeout($Player, $Chan, false);
		}
	}
}

?>
