<?php

$B=$_Bot->getInfo('bold');

$DTotal=$Dealer->getHandTotal();

$results='Results: ';
$TPlayers=$Dealer->getTotalPlayers();
for ($i=0; $i<$TPlayers; $i++){
	$Player=$Dealer->getPlayer($i);
	if (!is_object($Player)){
		Wise_msg($Chan->getName(), 'Oops, messed up somewhere in the player list.');
		$Dealer->clearPlayers();
		$Dealer->betsDone(false);
		$Dealer->endGame();
		return;
	}
	$PTotal=$Player->getHandTotal();
	$status='';
	if ($DTotal > 21){
		if ($PTotal <= 21){
			$status='Win';
			$Player->deposit($Player->getBet());
		}
		else {
			$Player->deduct($Player->getBet());
			$status='Bust';
		}
	}
	else {
		if ($DTotal == $PTotal){
			$status='Pushed';
		}
		else if ($DTotal > $PTotal){
			$Player->deduct($Player->getBet());
			$status='Lose';
		}
		else if ($PTotal > 21){
			$Player->deduct($Player->getBet());
			$status='Bust';
		}
		else if ($DTotal < $PTotal){
			$Player->deposit($Player->getBet());
			$status='Win';
		}
	}
	$results.=$Player->getNick().'='.$Player->getHandTotal().'('.$B.$status.$B.')  ';
	$Player->clearCards();
	$Player->clearBet();
	if ($Player->getMoney()==0){
		$Code=':'.$_Bot->getNick().'!bj_bot@bj_server PRIVMSG '.$Chan->getName().' :!bj restore_cash '.$Player->getNick();
		if (!Wise_timer_exists($Code)){
			Wise_timer($Code, time()+60*5);
		}
	}
	$u=new User($Player->getNick());
	if ($Player->getMoney() > $_Bot->getCfg('blackjack_voice_level') && !$Chan->isVoice($u)){
		Wise_raw('MODE '.$Chan->getName().' +v :'.$u->getNick());
	}
	else if ($Player->getMoney() < $_Bot->getCfg('blackjack_voice_level') && $Chan->isVoice($u)){
		Wise_raw('MODE '.$Chan->getName().' -v :'.$u->getNick());
	}
	
	if ($Player->getMoney() > $_Bot->getCfg('blackjack_ops_level') && !$Chan->isOp($u)){
		Wise_raw('MODE '.$Chan->getName().' +o :'.$u->getNick());
	}
	else if ($Player->getMoney() < $_Bot->getCfg('blackjack_ops_level') && $Chan->isOp($u)){
		Wise_raw('MODE '.$Chan->getName().' -o :'.$u->getNick());
	}
	savePlayerData($Player, $Chan->getName());
}

$status='';
if ($DTotal > 21){
	$status='(Bust)';
}

Wise_msg($Chan->getName(), 'Dealer has: '.$DTotal.$status);
Wise_msg($Chan->getName(), $results);

$Dealer->clearPlayers();
$Dealer->clearCards();
$Dealer->reshuffle();
$Dealer->setStage(BJ_END);
?>
